Schedule a statement generation.
With this request, you can schedule a statement generation for a company.
In a response, you will get an object with the following structure. Main fields to look out for here are id, status and download_url.
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
from?integerFilter result set to only include values older or equal to the provided Unix timestamp
to?integerFilter result set to only include values younger than the provided Unix timestamp
paid_from?integerFilter paid result set to only include values older or equal to the provided Unix timestamp
paid_to?integerFilter paid result set to only include values younger than the provided Unix timestamp
updated_from?integerFilter result set to only include values older or equal to the provided last modification time Unix timestamp
updated_to?integerFilter result set to only include values younger than the provided last modification time Unix timestamp
brand_id?stringFilter result set to only include the specified brand UUID(s)
uuidshop_id?stringFilter result set to only include the specified shop UUID(s)
uuidq?stringFilter result set to only include results including a specified text (search over a ton of text fields)
stringproducts?stringFilter result set to only include results including a specified text in products
stringtotal?stringFilter result set to only include results with a total between min and max value. Must include 2 values, if any - (min, max).
floatcurrency?stringFilter result set to only include specified currency(ies)
payment_method?stringFilter result set to only include specified payment methods(s). See PaymentMethod fro more information.
"american_express""capitec_pay""capitec_pay_recurring""debicheck""diners_club""eft""flutterwave_bank_transfer""flutterwave_ussd_charge""flutterwave_voucher_payment""hub2""maestro""mastercard""moniepoint""moniepoint_offline""moniepoint_voucher""mono""mtnmomo""onegate_eft_redirect""onevoucher""ozow""pay_at""paystack_payouts""paystack_ussd""realpay_eft""realpay_endo""stitch""unknown""visa""zapper"three_d_secure?stringFilter result set to only include results with a 3-D verification.
boolcountry?stringFilter result set to only include specified client country(ies) in ISO 3166-1 alpha-2 format
ISO 3166-1 alpha-2status?stringFilter result set to only include results with a specific status. See Purchase and Payout for more information.
stringproduct?stringFilter result set to only include specified products(s). See TransactionProduct fro more information.
"bank_payment""chargeback""chargeback_reversal""custom_payment""invoice""payout""payout_balance_transfer""purchase""refund""subscription"application/json- body
format?stringStatement format, available formats: csv, xlsx.
length <= 32timezone?stringTimezone to localize statement-specific timestamps
TZ database nameOK
application/json- response
format?stringStatement format, available formats: csv, xlsx.
length <= 32timezone?stringTimezone to localize statement-specific timestamps
TZ database nameis_test?booleanIndicates this is a test object, created using test API keys or using Billing section of UI while in test mode.
company_uid?stringID of the Company.
uuidquery_string?stringQuery parameters used to generate statement.
status?stringStatus of statement generation e.g. pending, processing, success.
download_url?stringDownload URL of a statement.
began_on?integerDate and time for the beginning of statement generation process.
Unix timestamp (seconds)finished_on?integerDate and time for finishing the statement generation process.
Unix timestamp (seconds)created_on?integerObject creation time
Unix timestamp (seconds)updated_on?integerObject last modification time
Unix timestamp (seconds)type?stringStatement request type
id?stringID of a statement
uuidcurl -X POST 'https://gate.reviopay.com/api/v1/company_statements/' \ -H 'Content-Type: application/json' \ -d '{ "format": "csv", "timezone": "UTC"}'{ "format": "string", "timezone": "Europe/Oslo", "is_test": true, "company_uid": "1b37ed80-aa86-439a-a1c4-9db2cd6f47e6", "query_string": "string", "status": "string", "download_url": "string", "began_on": 1619740800, "finished_on": 1619740800, "created_on": 1619740800, "updated_on": 1619740800, "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}